
EXTRA_DIST =  Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG)
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:TRACE;DEBUG"
ASSEMBLY = ../bin/Ntp.Data.dll
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Common.dll
BUILD_DIR = ../bin

NTP_DATA_DLL_MDB_SOURCE=../bin/Ntp.Data.dll.mdb
NTP_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Data.dll.mdb
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB_SOURCE=../bin/Ntp.Common.dll.mdb
NTP_COMMON_DLL_MDB=$(BUILD_DIR)/Ntp.Common.dll.mdb

endif

ifeq ($(CONFIG),RELEASE)
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ "-define:TRACE"
ASSEMBLY = ../bin/Ntp.Data.dll
ASSEMBLY_MDB = 
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Common.dll
BUILD_DIR = ../bin

NTP_DATA_DLL_MDB=
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB=

endif

AL=al
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(NTP_DATA_DLL_MDB) \
	$(NTP_COMMON_DLL) \
	$(NTP_COMMON_DLL_MDB)  


RESGEN=resgen2

NTP_COMMON_DLL = $(BUILD_DIR)/Ntp.Common.dll

FILES = \
	../Shared/AssemblyInfo.cs \
	DataMapper.cs \
	FileDataMapper.cs \
	ITableInitializer.cs \
	Log/LogExtensions.cs \
	SqlDatabaseProvider.cs \
	Schema/DatabaseUpdater.cs \
	Schema/SqlChangeSet.cs \
	Schema/IVersionChanges.cs \
	ISqlFactory.cs \
	Schema/VersionController.cs \
	SqlDatabaseChecker.cs \
	IDatabaseConfiguration.cs 

DATA_FILES = 

RESOURCES = 

EXTRAS = 

REFERENCES =  \
	System \
	System.Data \
	System.Core

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
#include $(srcdir)/custom-hooks.make





$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'


$(ASSEMBLY_MDB): $(ASSEMBLY)
$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	make install-satellite-assemblies prefix=$(prefix)
	mkdir -p '$(DESTDIR)$(libdir)/$(PACKAGE)'
	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_COMMON_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_COMMON_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	make post-install-local-hook prefix=$(prefix)

uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-uninstall-local-hook prefix=$(prefix)
	make uninstall-satellite-assemblies prefix=$(prefix)
	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_COMMON_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_COMMON_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	make post-uninstall-local-hook prefix=$(prefix)

install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make
